import Vue from 'vue';
import VueRouter from 'vue-router';
import store from '@/store/index';

Vue.use(VueRouter);

const routes = [
  {
    path: '/',
    name: 'index',
    meta: { title: '班级列表', isleftarrow: false },
    component: () => import('../views/index.vue'),
  },
  // 菜单
  {
    path: '/home/classmenu',
    name: 'home_classmenu',
    meta: { title: '班级菜单', isleftarrow: true },
    component: () => import('../views/home/classmenu.vue'),
  },
  // 班级首页
  {
    path: '/home/index',
    name: 'home_index',
    meta: { title: '班级首页', isleftarrow: true },
    component: () => import('../views/home/index.vue'),
  },
  // 班级首页
  {
    path: '/home/teacher',
    name: 'home_teacher',
    meta: { title: '班级首页', isleftarrow: true },
    component: () => import('../views/home/teacher.vue'),
  },
  // 班级名单
  {
    path: '/class/index',
    name: 'class_index',
    meta: { title: '班级名单', isleftarrow: true },
    component: () => import('../views/class/index.vue'),
  },
  // 调查问卷
  {
    path: '/question/index',
    name: 'question_index',
    meta: { title: '调查问卷', isleftarrow: true },
    component: () => import('../views/question/index.vue'),
  },
  // 个人中心
  {
    path: '/user/index',
    name: 'user_index',
    meta: { title: '个人中心', isleftarrow: true },
    component: () => import('../views/user/index.vue'),
  },

  //班主任看班级
  {
    path: '/class/classStuList',
    name: 'class_teacher',
    meta: { title: '班级名单', isleftarrow: true },
    component: () => import('../views/class/classStuList.vue'),
  },
  //学生名单
  {
    path: '/class/achieve',
    meta: { title: '班级成绩', isleftarrow: true },
    component: () => import('../views/class/achieve.vue'),
  },
  // 个人中心-请假&退出管理
  {
    path: '/user/teaLeave',
    name: 'user_teaLeave',
    meta: { title: '请假&退出管理', isleftarrow: true },
    component: () => import('../views/user/teaLeave.vue'),
  },
  // 个人中心-班级信息
  {
    path: '/user/classInfos',
    name: 'user_classInfos',
    meta: { title: '班级信息', isleftarrow: true },
    component: () => import('../views/user/classInfos.vue'),
  },
  {
    path: '/user/personalDetail',
    name: 'user_personalDetail',
    meta: { title: '个人信息', isleftarrow: true },
    component: () => import('../views/user/personalDetail.vue'),
  },
  {
    path: '/user/score',
    name: 'user_score',
    meta: { title: '学生评分', isleftarrow: true },
    component: () => import('../views/user/score.vue'),
  },
  {
    path: '/user/attendance',
    name: 'user_attendance',
    meta: { title: '考勤管理', isleftarrow: true },
    component: () => import('../views/user/attendance.vue'),
  },
  // 微信通知详情
  {
    path: '/messageInfo/index',
    name: 'messageInfo_index',
    meta: { title: '通知详情', isleftarrow: false },
    component: () => import('../views/messageInfo/index.vue'),
  },
  // 教师教课列表
  {
    path: '/task/index',
    name: 'task_index',
    meta: { title: '课程列表', isleftarrow: true },
    component: () => import('../views/task/index.vue'),
  },
  {
    path: '/task/stutask',
    name: 'task_stutask',
    meta: { title: '学生作业', isleftarrow: true },
    component: () => import('../views/task/stutask.vue'),
  },
];

const router = new VueRouter({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : 'mobiledirtea',
  routes,
});

router.beforeEach((to, form, next) => {
  if (to.name == 'messageInfo_index') {
    next();
  }
  store.commit('setUser');
  store.commit('setClass');
  store.dispatch('setting/checkCache');
  let user = store.state.user;
  if (user) {
    console.log('已登录');
  }
  //下面是没登录的情况,需要跳转页面到用户未登录页
  else console.log('未登录');
  next();
});

export default router;
