import Vue from 'vue';
import Vuex from 'vuex';
import login from '@frame/store/login';
import trainplan from '@frame/store/trainplan';
import classes from '@frame/store/classes';
import classtype from '@frame/store/classtype';
import director from '@frame/store/director';
import lesson from '@frame/store/lesson';
import dirPlan from '@frame/store/dir-plan';
import location from '@frame/store/location';
import teacher from '@frame/store/teacher';
import dept from '@frame/store/dept';
import subject from '@frame/store/subject';
import teaPlan from '@frame/store/tea-plan';
import student from '@frame/store/student';
import completion from '@frame/store/question-completion';
import nation from '@frame/store/nation';
import school from '@frame/store/school';
import termquest from '@frame/store/termquest';
import questionnaire from '@frame/store/questionnaire';
import bedroom from '@frame/store/bedroom';
import util from '@frame/store/util';
import attendance from '@frame/store/attendance';
import leave from '@frame/store/leave';
import group from '@frame/store/group';
import uploadtask from '@frame/store/uploadtask';
import setting from '@frame/store/setting';
import notice from '@frame/store/notice';
import task from '@frame/store/task';
import groupscore from '@frame/store/groupscore';
import personalscore from '@frame/store/personalscore';
import * as ustate from '@frame/store/user/state';
import * as umutations from '@frame/store/user/mutations';
import * as dostate from '@frame/store/setting/state';
import * as domutations from '@frame/store/setting/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate, classid: undefined, ...dostate },
  mutations: {
    ...umutations,
    setClass(state) {
      let classid = sessionStorage.getItem('classid');
      if (classid) state.classid = classid;
    },
    ...domutations,
  },
  actions: {},
  modules: {
    trainplan,
    groupscore,
    personalscore,
    login,
    classes,
    director,
    lesson,
    dirPlan,
    location,
    teacher,
    dept,
    subject,
    teaPlan,
    student,
    completion,
    nation,
    school,
    termquest,
    questionnaire,
    bedroom,
    util,
    attendance,
    leave,
    group,
    uploadtask,
    setting,
    notice,
    task,
    classtype,
  },
});
