const path = require('path');
const question = path.resolve(__dirname, '../question-examine');
const frame = path.resolve(__dirname, '../frame');
module.exports = {
  publicPath: process.env.NODE_ENV === 'development' ? '/' : '/mobiledirtea',
  outputDir: 'mobiledirtea',
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
          '@question': question,
          '@frame': frame,
        },
      },
    });
  },
  devServer: {
    port: '8200',
    //api地址前缀
    proxy: {
      '/files': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/ws': {
        target: 'http://free.liaoningdoupo.com',
        ws: true,
      },
      '/weixin': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/api': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
      },
    },
  },
};
